Bug 719342 - (okular) Review Request: okular - A document viewer
Review Request: okular - A document viewer
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
Depends On: libkipi
Blocks: kde-4.7
  Show dependency treegraph
Reported: 2011-07-06 10:12 EDT by Rex Dieter
Modified: 2011-12-08 13:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-07-15 10:35:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Comment 1 nucleo 2011-07-11 10:06:48 EDT
URL can be http://okular.kde.org/ or http://www.kde.org/applications/graphics/okular/. Maybe first is preferred.
Comment 2 Jaroslav Reznik 2011-07-14 10:31:30 EDT
Name: ok
License: ok
URL: I think anyone from this three is ok, still better than just kde.org
Sources: ok (md5sum 021e4ad479bb88937084d4510d1e1218)
BRs: ok
Conflicts: ok
Desktop file validation: ok
Updated icon cache: ok
Macros used consistently: ok
Docs: ok

Ldconfig: ok
Devel contains .so: ok, library itself in -lib subpackage

rpmlint okular.spec 
okular.spec:84: W: macro-in-comment %{buildroot}
okular.spec:84: W: macro-in-comment %{_kde4_libdir}

#unpackaged files - commented out but contains libgwenview, is it intended? otherwise please remove this line

okular.spec: W: invalid-url Source0: ftp://ftp.kde.org/pub/kde/stable/4.6.90/src/okular-4.6.90.tar.bz2 <urlopen error ftp error: 550 Failed to change directory.>
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

APPROVED, just fix the rpmlint issue
Comment 3 Rex Dieter 2011-07-15 08:21:55 EDT
New Package SCM Request
Package Name: okular
Short Description: A document viewer
Owners: than rdieter jreznik ltinkl rnovacek kkofler
Branches: f15
Comment 4 Jon Ciesla 2011-07-15 10:17:10 EDT
Git done (by process-git-requests).
Comment 5 Rex Dieter 2011-07-15 10:35:41 EDT
Comment 6 nucleo 2011-07-16 21:18:29 EDT
BR: qca2-devel should be added?

It is missing in build log http://kojipkgs.fedoraproject.org/packages/okular/4.6.95/2.fc16/data/logs/i686/build.log

-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
   * QCA (2.0.0 or higher)  <http://delta.affinix.com/qca/>
     Qt Cryptographic Architecture (QCA)
     Support for encrypted OpenDocument Text documents in Okular.
Comment 7 Rex Dieter 2011-07-18 09:10:22 EDT
yep, thanks.

Note You need to log in before you can comment on or make changes to this bug.